Oore CI
ReferenceAPIOperationsArtifacts

List available artifacts for a bounded set of builds

List available artifacts for a bounded set of builds

Operation IDlist_build_artifacts
POST
/v1/artifacts/query

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/artifacts/query" \  -H "Content-Type: application/json" \  -d '{    "build_ids": [      "string"    ]  }'
{  "artifacts": [    {      "artifact_type": "apk",      "build_id": "string",      "checksum": "string",      "created_at": 0,      "expires_at": 0,      "file_path": "string",      "file_size": 0,      "id": "string",      "metadata": {},      "name": "string",      "state": "string"    }  ]}